Package ru.bitel.bgbilling.kernel.base.phone.common.service

# Interface RangeMapService

    @MTOM(enabled=true)
    public interface RangeMapService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `rangeMapDelete​(int id)` |
  `void` | `rangeMapExport​(int rangeMapId, java.lang.String code, javax.xml.ws.Holder<javax.activation.DataHandler> data)` |
  `RangeMap` | `rangeMapGet​(int id)` |
  `void` | `rangeMapImport​(int rangeMapId, boolean update, java.lang.String prefix, java.lang.String data)` |
  `void` | `rangeMapItemDelete​(int rangeMapId, int id)` |
  `java.util.List<RangeMapItem>` | `rangeMapItemList​(int id, java.util.Date date)` |
  `int` | `rangeMapItemUpdate​(int rangeMapId, RangeMapItem item)` |
  `java.util.List<RangeMap>` | `rangeMapList​(java.lang.String order)` |
  `void` | `rangeMapUpdate​(RangeMap b)` |

- ## Method Details

  - ### rangeMapList

    java.util.List<RangeMap> rangeMapList​(java.lang.String order) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapGet

    RangeMap rangeMapGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapUpdate

    void rangeMapUpdate​(RangeMap b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapDelete

    void rangeMapDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapItemList

    java.util.List<RangeMapItem> rangeMapItemList​(int id, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapItemUpdate

    int rangeMapItemUpdate​(int rangeMapId, RangeMapItem item) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapItemDelete

    void rangeMapItemDelete​(int rangeMapId, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapImport

    void rangeMapImport​(int rangeMapId, boolean update, java.lang.String prefix, java.lang.String data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### rangeMapExport

    void rangeMapExport​(int rangeMapId, java.lang.String code, javax.xml.ws.Holder<javax.activation.DataHandler> data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`